    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2006, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ------------------------
    028     * CategoryLabelEntity.java
    029     * ------------------------
    030     * (C) Copyright 2006, by Object Refinery Limited and Contributors.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: CategoryLabelEntity.java,v 1.1.2.2 2006/10/03 16:21:43 mungady Exp $
    036     *
    037     * Changes:
    038     * --------
    039     * 02-Oct-2006 : Version 1 (DG);
    040     *
    041     */
    042
    043    package org.jfree.chart.entity;
    044
    045    import java.awt.Shape;
    046
    047    import org.jfree.chart.axis.CategoryAxis;
    048
    049    /**
    050     * An entity to represent the labels on a {@link CategoryAxis}.
    051     *
    052     * @since 1.0.3
    053     */
    054    public class CategoryLabelEntity extends TickLabelEntity {
    055
    056        /** The category key. */
    057        private Comparable key;
    058
    059        /**
    060         * Creates a new entity.
    061         *
    062         * @param key  the category key.
    063         * @param area  the hotspot.
    064         * @param toolTipText  the tool tip text.
    065         * @param urlText  the URL text.
    066         */
    067        public CategoryLabelEntity(Comparable key, Shape area,
    068                String toolTipText, String urlText) {
    069            super(area, toolTipText, urlText);
    070            this.key = key;
    071        }
    072
    073        /**
    074         * Returns the category key.
    075         *
    076         * @return The category key.
    077         */
    078        public Comparable getKey() {
    079            return this.key;
    080        }
    081
    082        /**
    083         * Returns a string representation of this entity.  This is primarily
    084         * useful for debugging.
    085         *
    086         * @return A string representation of this entity.
    087         */
    088        public String toString() {
    089            StringBuffer buf = new StringBuffer("CategoryLabelEntity: ");
    090            buf.append("category=");
    091            buf.append(this.key);
    092            buf.append(", tooltip=" + getToolTipText());
    093            buf.append(", url=" + getURLText());
    094            return buf.toString();
    095        }
    096    }